<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderReductionCartInterface;

/**
 * @method OrderReductionCartInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderReductionCartInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderReductionCartInterface[]    findAll()
 * @method OrderReductionCartInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderReductionCartRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderReductionCartInterface::class);
    }
}
