<?php

namespace Lc\CaracoleBundle\Repository\Order;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Order\OrderPaymentInterface;

/**
 * @method OrderPaymentInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method OrderPaymentInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method OrderPaymentInterface[]    findAll()
 * @method OrderPaymentInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class OrderPaymentRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, OrderPaymentInterface::class);
    }
}
