<?php

namespace Lc\CaracoleBundle\Repository\PointSale;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\PointSale\PointSaleInterface;

/**
 * @method PointSaleInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method PointSaleInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method PointSaleInterface[]    findAll()
 * @method PointSaleInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class PointSaleRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, PointSaleInterface::class);
    }
}
