<?php

namespace Lc\CaracoleBundle\Repository\Reminder;

use Doctrine\Bundle\DoctrineBundle\Repository\ServiceEntityRepository;
use Doctrine\Persistence\ManagerRegistry;
use Lc\CaracoleBundle\Model\Reminder\ReminderInterface;

/**
 * @method ReminderInterface|null find($id, $lockMode = null, $lockVersion = null)
 * @method ReminderInterface|null findOneBy(array $criteria, array $orderBy = null)
 * @method ReminderInterface[]    findAll()
 * @method ReminderInterface[]    findBy(array $criteria, array $orderBy = null, $limit = null, $offset = null)
 */
class ReminderRepository extends ServiceEntityRepository
{
    public function __construct(ManagerRegistry $registry)
    {
        parent::__construct($registry, ReminderInterface::class);
    }
}
